Set up for using WPILib 2016
It works if you switch which line in //aos/externals:BUILD is commented
out.
Change-Id: I19f4d7a1d95554cff0dc29f9fd4a163b9d0cafd5
diff --git a/doc/allwpilib_ni-libraries_tarball.sh b/doc/allwpilib_ni-libraries_tarball.sh
new file mode 100755
index 0000000..61fccd4
--- /dev/null
+++ b/doc/allwpilib_ni-libraries_tarball.sh
@@ -0,0 +1,25 @@
+#!/bin/bash
+
+# A script to generate a allwpilib_ni-libraries_bla.tar.gz file from a given
+# revision of allwpilib.
+
+# Example: ./doc/allwpilib_ni-libraries_tarball.sh \
+# https://usfirst.collab.net/gerrit/allwpilib master
+
+set -e
+set -u
+set -o pipefail
+
+if [ $# -ne 2 ]; then
+ echo "Usage: $0 remote ref" >&2
+ exit 1
+fi
+
+REMOTE="$1"
+REF="$2"
+
+git fetch "${REMOTE}" "${REF}"
+
+git archive \
+ -o allwpilib_ni-libraries_$(git rev-parse --short FETCH_HEAD).tar.gz \
+ FETCH_HEAD ni-libraries